#include "stm32l1xx.h"

void TIM6_IRQHandler(void)
{
  extern uint8_t volatile f_timer_6_end;
	
	TIM_ClearITPendingBit(TIM6, TIM_IT_Update);
	TIM6->SR &= ~TIM_SR_UIF;
	f_timer_6_end = 1;
	
	TIM_Cmd(TIM6, DISABLE);
	TIM_ITConfig(TIM6, TIM_IT_Update, DISABLE);
}

void SysTick_Handler()
{
	
}

